org.apache.hadoop.io.serializer.avro

## Class AvroSpecificSerialization

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.io.serializer.avro.AvroSerialization<org.apache.avro.specific.SpecificRecord>
    - - org.apache.hadoop.io.serializer.avro.AvroSpecificSerialization

- All Implemented Interfaces:
    Configurable, org.apache.hadoop.io.serializer.Serialization<org.apache.avro.specific.SpecificRecord>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class AvroSpecificSerialization
      extends AvroSerialization<org.apache.avro.specific.SpecificRecord>

  Serialization for Avro Specific classes. This serialization is to be used for classes generated by Avro's 'specific' compiler.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroSpecificSerialization()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.io.serializer.Serialization

      `accept, getDeserializer, getSerializer`

- - ### Constructor Detail

    - #### AvroSpecificSerialization

          public AvroSpecificSerialization()

Copyright © 2022 Apache Software Foundation. All rights reserved.